Skip to main content
GET
/
api
/
banking
/
matching
/
matched
Retrieves the matched transactions.
curl --request GET \
  --url https://api.example.com/api/banking/matching/matched \
  --header 'Authorization: <authorization>' \
  --header 'organization-id: <organization-id>'
{
  "perfectMatches": [
    {
      "amount": 100.5,
      "amountFormatted": "$100.50",
      "date": "2024-01-15",
      "dateFormatted": "Jan 15, 2024",
      "referenceNo": "REF-001",
      "transactionNo": "TXN-001",
      "transactionId": 1,
      "transactionType": "SaleInvoice"
    }
  ],
  "possibleMatches": [
    {
      "amount": 100.5,
      "amountFormatted": "$100.50",
      "date": "2024-01-15",
      "dateFormatted": "Jan 15, 2024",
      "referenceNo": "REF-001",
      "transactionNo": "TXN-001",
      "transactionId": 1,
      "transactionType": "SaleInvoice"
    }
  ],
  "totalPending": 500
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Query Parameters

uncategorizedTransactionIds
any[]
required

Uncategorized transaction IDs to match

fromDate
string

Filter from date

Example:

"2024-01-01"

toDate
string

Filter to date

Example:

"2024-12-31"

minAmount
number

Minimum amount

Example:

0

maxAmount
number

Maximum amount

Example:

10000

transactionType
string

Transaction type filter

Example:

"SaleInvoice"

Response

200 - application/json

Matched transactions (perfect and possible matches).

perfectMatches
object[]
required

Perfect matches (amount and date match)

possibleMatches
object[]
required

Possible matches (candidates)

totalPending
number
required

Total pending amount

Example:

500